Get a storage connection
curl --request GET \
--url https://api-vod-express.syncwords.com/v1/account/storage-connections/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-vod-express.syncwords.com/v1/account/storage-connections/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-vod-express.syncwords.com/v1/account/storage-connections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "01k81e5m3xq0h7wq2c5r8vj2s9",
"name": "Newsroom media (R2)",
"bucket": "newsroom-media",
"endpoint": "https://c4b5023c93121161674870cf69a92519.r2.cloudflarestorage.com",
"region": null,
"accessKeyId": "c643baba59d6b976a27dd97a064a06fd",
"s3Uri": "s3://newsroom-media/",
"isDefault": true,
"projectsUsing": 2,
"lastCheck": {
"ok": true,
"checkedAt": "2026-10-20T16:02:11.000Z",
"error": null
},
"createdBy": "user 42 <jane@acme.test> via unifiedJwt",
"createdAt": "2026-10-20T16:02:11.000Z",
"updatedAt": "2026-10-20T16:02:11.000Z"
}
}{
"message": "Unauthenticated.",
"code": "unauthenticated"
}{
"message": [
"VOD Express is not enabled for your account."
],
"code": "vod_express_not_enabled"
}{
"message": "Storage connection not found.",
"code": "storage_connection_not_found"
}{
"message": [
"Too Many Attempts."
],
"code": "too_many_requests"
}Account
Get a storage connection
One storage connection of your account.
Guide: Your own bucket
GET
/
account
/
storage-connections
/
{id}
Get a storage connection
curl --request GET \
--url https://api-vod-express.syncwords.com/v1/account/storage-connections/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-vod-express.syncwords.com/v1/account/storage-connections/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-vod-express.syncwords.com/v1/account/storage-connections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "01k81e5m3xq0h7wq2c5r8vj2s9",
"name": "Newsroom media (R2)",
"bucket": "newsroom-media",
"endpoint": "https://c4b5023c93121161674870cf69a92519.r2.cloudflarestorage.com",
"region": null,
"accessKeyId": "c643baba59d6b976a27dd97a064a06fd",
"s3Uri": "s3://newsroom-media/",
"isDefault": true,
"projectsUsing": 2,
"lastCheck": {
"ok": true,
"checkedAt": "2026-10-20T16:02:11.000Z",
"error": null
},
"createdBy": "user 42 <jane@acme.test> via unifiedJwt",
"createdAt": "2026-10-20T16:02:11.000Z",
"updatedAt": "2026-10-20T16:02:11.000Z"
}
}{
"message": "Unauthenticated.",
"code": "unauthenticated"
}{
"message": [
"VOD Express is not enabled for your account."
],
"code": "vod_express_not_enabled"
}{
"message": "Storage connection not found.",
"code": "storage_connection_not_found"
}{
"message": [
"Too Many Attempts."
],
"code": "too_many_requests"
}Authorizations
A token from POST /token/create, made with your API key pair.
Path Parameters
The connection’s id.
Response
OK
One of your own buckets, with the keys the service reads and writes it with. The secret access key is never answered.
Show child attributes
Show child attributes